- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.MoveAlertResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.caseAlerts/move#body.aspect_1)

**Full name**: projects.locations.instances.cases.caseAlerts.move

Moves a CaseAlert to a different Case. Use this method to reassign an alert to a more appropriate case. The alert must be open, and both the source and destination cases must also be open.

### HTTP request

`POST https://{endpoint}/v1alpha/{name}:move`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The CaseAlert to move. The CaseAlert's `name` field is used to identify the CaseAlert. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{caseAlert}:move |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "destinationCaseId": integer } ``` |

| Fields ||
|---|---|
| `destinationCaseId` | `integer` Optional. The case to which the alert will be moved to. |

### Response body

Response message for caseAlerts.move.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "newCaseId": integer, "valid": boolean, "errors": [ string ] } ``` |

| Fields ||
|---|---|
| `newCaseId` | `integer` Output only. The new case to which the alert was moved to, or null if the move failed. |
| `valid` | `boolean` Output only. Was the operation valid. |
| `errors[]` | `string` Output only. Errors raised when moving the alert |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.caseAlerts.move`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).